# $Revision: 1.2 $, $Date: 2011/03/01 18:47:03 $
#
# Conditional build:
%bcond_without	tests # do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Test
%define		pnam	Fatal
Summary:	Test::Fatal - incredibly simple helpers for testing code with exceptions
Summary(pl.UTF-8):	Test::Fatal - bardzo proste funkcje pomocnicze do kodu testującego z wyjątkami
Name:		perl-Test-Fatal
Version:	0.003
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/RJBS/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e73e90b65a5f07ff77f7e5f3bd336fcf
URL:		http://search.cpan.org/dist/Test-Fatal/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.31
BuildRequires:	perl-devel >= 1:5.8.7
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Simple >= 0.96
BuildRequires:	perl-Try-Tiny >= 0.07
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Test::Fatal is an alternative to the popular Test::Exception. It does
much less, but should allow greater flexibility in testing
exception-throwing code with about the same amount of typing.

%description -l pl.UTF-8
Test::Fatal to alternatywa dla popularnego Test::Exception. Ten moduł
robi znacznie mniej, ale powinien pozwalać na większą elastyczność
przy testowaniu kodu rzucającego wyjątki przy mniej więcej tej samej
ilości napisanego kodu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Test/Fatal.pm
%{_mandir}/man3/Test::Fatal.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-Fatal.spec,v $
Revision 1.2  2011/03/01 18:47:03  qboosh
- real description
- pl
- completed BRs
- fixed files

Revision 1.1  2011/02/25 21:03:59  arekm
- initial
